'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var build = {};

Object.defineProperty(build, '__esModule', { value: true });

const MS_IN_SEC = 1000;

class TiredFromWaitingPromiseResolveTooLongError$1 extends Error {
    constructor(timeout) {
        super(`I have waited this promise resolving for ${timeout / MS_IN_SEC} seconds, so I am tired and forgive to wait for this.`);
    }
}

function newPromiseUntilTired(executor, timeout) {
    let isResolved = false;
    return new Promise((resolve, reject) => {
        setTimeout(() => {
            if (!isResolved) {
                reject(new TiredFromWaitingPromiseResolveTooLongError$1(timeout));
            }
        }, timeout);
        const resolveWithMarked = (resolvedValue) => {
            isResolved = true;
            resolve(resolvedValue);
        };
        const rejectWithMarked = (rejectedValue) => {
            isResolved = true;
            reject(rejectedValue);
        };
        executor(resolveWithMarked, rejectWithMarked);
    });
}
const TiredFromWaitingPromiseResolveTooLongError = TiredFromWaitingPromiseResolveTooLongError$1;

var TiredFromWaitingPromiseResolveTooLongError_1 = build.TiredFromWaitingPromiseResolveTooLongError = TiredFromWaitingPromiseResolveTooLongError;
var _default = build.default = newPromiseUntilTired;

const DEFAULT_TIMEOUT = 30000;

function getCurrentLocationWithTimeout(options) {
    return _default((resolve, reject) => {
        navigator.geolocation.getCurrentPosition(resolve, reject, options);
    }, (options === null || options === void 0 ? void 0 : options.timeout) || DEFAULT_TIMEOUT);
}
const TimeoutError = TiredFromWaitingPromiseResolveTooLongError_1;

exports.TimeoutError = TimeoutError;
exports.default = getCurrentLocationWithTimeout;
//# sourceMappingURL=index.js.map
